|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QTextImageFormat Class Reference
[QtGui module]

The QTextImageFormat class provides formatting information for images in a QTextDocument. More...

     #include <QTextImageFormat>

Inherits QTextCharFormat.

- List of all members, including inherited members

### Public Functions

- QTextImageFormat ()
- qreal height () const
- bool isValid () const
- QString name () const
- void setHeight ( qreal height )
- void setName ( const QString & name )
- void setWidth ( qreal width )
- qreal width () const

- 35 public functions inherited from QTextCharFormat
- 47 public functions inherited from QTextFormat

## Detailed Description

The QTextImageFormat class provides formatting information for images in a QTextDocument.

Inline images are represented by an object replacement character (0xFFFC in Unicode) which has an associated QTextImageFormat. The image format specifies a name with setName() that is used to locate the image. The size of the rectangle that the image will occupy is specified using setWidth() and setHeight().

## Member Function Documentation

### QTextImageFormat::QTextImageFormat ()

Creates a new image format object.

### qreal QTextImageFormat::height () const

Returns the height of the rectangle occupied by the image.

See also width() and setHeight().

### bool QTextImageFormat::isValid () const

Returns true if this image format is valid; otherwise returns false.

### QString QTextImageFormat::name () const

Returns the name of the image. The name refers to an entry in the application's resources file.

See also setName().

### void QTextImageFormat::setHeight ( qreal height )

Sets the height of the rectangle occupied by the image.

See also height() and setWidth().

### void QTextImageFormat::setName ( const QString & name )

Sets the name of the image. The name is used to locate the image in the application's resources.

See also name().

### void QTextImageFormat::setWidth ( qreal width )

Sets the width of the rectangle occupied by the image.

See also width() and setHeight().

### qreal QTextImageFormat::width () const

Returns the width of the rectangle occupied by the image.

See also height() and setWidth().